The Alternative Csound Reference Manual
Previous |  | Next

# cosh

cosh -- Performs a hyperbolic cosine function.

## Description

Returns the hyperbolic cosine of x (x in radians).

## Syntax

cosh(x) (no rate restriction)

## Examples

Here is an example of the cosh opcode. It uses the files cosh.orc and cosh.sco.

Example 1. Example of the cosh opcode.

    /* cosh.orc */
    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      irad = 1
      i1 = cosh(irad)

      print i1
    endin
    /* cosh.orc */

    /* cosh.sco */
    ; Play Instrument #1 for one second.
    i 1 0 1
    e
    /* cosh.sco */

Its output should include lines like this:

    instr 1:  i1 = 1.543

## See Also

cos, cosinv, sin, sinh, sininv, tan, tanh, taninv

## Credits

Example written by Kevin Conder.

Previous | Home | Next
cos | Up | cosinv